Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XPersonNamePartType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XPersonNamePartType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XPersonNamePartType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XPerson Name Part Type', and utility methods for working with them. abstDomain: V10653 (C-0-D15880-V10653-cpt)

See Also:
  `CDAR2Package.getXPersonNamePartType()`

Field Summary
`static int` | `DEL` The 'DEL' literal value.
`static XPersonNamePartType` | `DEL_LITERAL` The 'DEL' literal object.
`static int` | `FAM` The 'FAM' literal value.
`static XPersonNamePartType` | `FAM_LITERAL` The 'FAM' literal object.
`static int` | `GIV` The 'GIV' literal value.
`static XPersonNamePartType` | `GIV_LITERAL` The 'GIV' literal object.
`static int` | `PFX` The 'PFX' literal value.
`static XPersonNamePartType` | `PFX_LITERAL` The 'PFX' literal object.
`static int` | `SFX` The 'SFX' literal value.
`static XPersonNamePartType` | `SFX_LITERAL` The 'SFX' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XPerson Name Part Type' enumerators.

Method Summary
`static XPersonNamePartType` | `get(int value)` Returns the 'XPerson Name Part Type' literal with the specified integer value.
`static XPersonNamePartType` | `get(java.lang.String literal)` Returns the 'XPerson Name Part Type' literal with the specified literal value.
`static XPersonNamePartType` | `getByName(java.lang.String name)` Returns the 'XPerson Name Part Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEL

    public static final int DEL

  The 'DEL' literal value.

  If the meaning of 'DEL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEL_LITERAL`, Constant Field Values

### FAM

    public static final int FAM

  The 'FAM' literal value.

  If the meaning of 'FAM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FAM_LITERAL`, Constant Field Values

### GIV

    public static final int GIV

  The 'GIV' literal value.

  If the meaning of 'GIV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GIV_LITERAL`, Constant Field Values

### PFX

    public static final int PFX

  The 'PFX' literal value.

  If the meaning of 'PFX' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PFX_LITERAL`, Constant Field Values

### SFX

    public static final int SFX

  The 'SFX' literal value.

  If the meaning of 'SFX' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SFX_LITERAL`, Constant Field Values

### DEL_LITERAL

    public static final XPersonNamePartType DEL_LITERAL

  The 'DEL' literal object.

  See Also:
    `DEL`

### FAM_LITERAL

    public static final XPersonNamePartType FAM_LITERAL

  The 'FAM' literal object.

  See Also:
    `FAM`

### GIV_LITERAL

    public static final XPersonNamePartType GIV_LITERAL

  The 'GIV' literal object.

  See Also:
    `GIV`

### PFX_LITERAL

    public static final XPersonNamePartType PFX_LITERAL

  The 'PFX' literal object.

  See Also:
    `PFX`

### SFX_LITERAL

    public static final XPersonNamePartType SFX_LITERAL

  The 'SFX' literal object.

  See Also:
    `SFX`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XPerson Name Part Type' enumerators.

Method Detail

### get

    public static XPersonNamePartType get(java.lang.String literal)

  Returns the 'XPerson Name Part Type' literal with the specified literal value.

### getByName

    public static XPersonNamePartType getByName(java.lang.String name)

  Returns the 'XPerson Name Part Type' literal with the specified name.

### get

    public static XPersonNamePartType get(int value)

  Returns the 'XPerson Name Part Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD